/*
* Konnect - a network tool for connecting to Internet
*
* Copyright (C) 2004  Fredrik Edemar
*                     f_edemar@linux.se
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
*/

#include "kconnectionsettings.h"

#include <qradiobutton.h>
#include <kdebug.h>
#include <klineedit.h>

KConnectionSettings::KConnectionSettings() :
		ConnectionSettings(0, "Connection")
{
	connect(optTelia, SIGNAL(toggled(bool)), this, SLOT( lineEditDisable(bool)));
	connect(optComHem, SIGNAL(toggled(bool)), this, SLOT( lineEditDisable(bool)));
	connect(optTiscali, SIGNAL(toggled(bool)), this, SLOT( lineEditDisable(bool)));
	connect(optCustom, SIGNAL(toggled(bool)), this, SLOT( lineEditEnable(bool)));
}

KConnectionSettings::~KConnectionSettings()
{
}

void KConnectionSettings::lineEditDisable(bool on)
{
	if (on && kcfg_loginServer->isEnabled())
		kcfg_loginServer->setEnabled(false);
}

void KConnectionSettings::lineEditEnable(bool on)
{
	if (on && !kcfg_loginServer->isEnabled())
		kcfg_loginServer->setEnabled(true);
}
#include "kconnectionsettings.moc"
