/*
* Konnect - a network tool for connecting to Internet
*
* Copyright (C) 2004  Fredrik Edemar
*                     f_edemar@linux.se
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
*/

#include <unistd.h>
#include <stdlib.h>
  
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kdebug.h>
#include <klocale.h>
#include <kuniqueapplication.h>
   
#include "konnect.h"
#include "konnectsettings.h"

static const char *description =
    I18N_NOOP("Konnect helps you logging in to Internet");

static const char *version = "0.5";

int main(int argc, char **argv)
{
    KAboutData about("konnect", I18N_NOOP("Konnect"), version, description,
                     KAboutData::License_GPL, "(C) 2004 Fredrik Edemar", 0, 0, "f_edemar@linux.se");
    about.addAuthor( "Fredrik Edemar", 0, "f_edemar@linux.se" );
    KCmdLineArgs::init(argc, argv, &about);

    if (!KUniqueApplication::start())
    {
        fprintf(stderr, "Konnect is already running!\n");
        exit(0);
    }
    
    KUniqueApplication app;
    Konnect *mainWin = 0;
    
    if (kapp->isRestored())
    {
        RESTORE(Konnect);
    }
    else
    {
        // no session.. just start up normally
        mainWin = new Konnect();
	app.setTopWidget( mainWin );
        app.setMainWidget( mainWin );
	if ( !KonnectSettings::startMinimized() )
        	mainWin->show();
    }
    return app.exec();
}
